---
document: modulemd
version: 2
data:
  name: python36
  stream: "3.6"
  version: 8100020241212070309
  context: 17efdbc7
  arch: x86_64
  summary: Python programming language, version 3.6
  description: >-
    This module gives users access to the internal Python 3.6 in RHEL8, as

    well as provides some additional Python packages the users might need.

    In addition to these you can install any python3-* package available

    in RHEL and use it with Python from this module.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      mongodb: [3.6]
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: https://www.python.org/
    documentation: https://docs.python.org/3.6/
  profiles:
    build:
      rpms:
      - python36
      - python36-devel
      - python36-rpm-macros
    common:
      rpms:
      - python36
  api:
    rpms:
    - python-sqlalchemy-doc
    - python-virtualenv-doc
    - python3-PyMySQL
    - python3-bson
    - python3-distro
    - python3-docs
    - python3-docutils
    - python3-nose
    - python3-pygments
    - python3-pymongo
    - python3-pymongo-gridfs
    - python3-scipy
    - python3-sqlalchemy
    - python3-virtualenv
    - python3-wheel
    - python36
    - python36-debug
    - python36-devel
    - python36-rpm-macros
  filter:
    rpms:
    - python2-PyMySQL
    - python2-docutils
    - python2-nose
    - python2-pygments
    - python2-scipy
    - python2-sqlalchemy
    - python2-virtualenv
  buildopts:
    rpms:
      macros: >
        %_without_python2 1


        # For packages depending on python36, so that they

        # BuildRequire python36-devel/debug/rpm-macros instead of python3-*

        #

        # This won't be necessary for python37 and later. There we can

        # set %{python3_pkgversion}, because all packages will need to

        # have the pythonXY prefix. Whereas for Python 3.6 the packages

        # are split between non-modular RHEL and the python36 module,

        # and so it was easier and less confusing to keep the prefix at

        # python3- except for the devel/debug/rpm/macros packages.

        %_with_python36_module 1
  components:
    rpms:
      python-PyMySQL:
        rationale: Python adapter for the MySQL/MariaDB databases
        ref: 91d59597dcceadd59b0f925b6da93c2c3243d2f3
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-distro:
        rationale: Linux Distribution - a Linux OS platform information API
        ref: 5e5b365696593dd0b146d8a4ad26e01a1fd8b01f
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-docs:
        rationale: Documentation for Python
        ref: 6619efd54dedda7edaff651f815cc1108663a1ff
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-docutils:
        rationale: System for processing plaintext documentation
        ref: fc93fe1f2b884cc31248c7888bebb264d2878557
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-nose:
        rationale: Discovery-based unit test extension for Python
        ref: 9e83f3cf6ad81c128a6c39969193245987b8bbd4
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-pygments:
        rationale: Syntax highlighting engine written in Python
        ref: 5fe0361dccd9667fb13053a72beb58dbf7659ab8
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-pymongo:
        rationale: Python driver for MongoDB
        ref: e0ddb8f7b441a31ee99d56f421614bafc25ad98c
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-sqlalchemy:
        rationale: Modular and flexible ORM library for python
        ref: b156fc5fa4897ca16cc0619e506dff93cb3c04a8
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-virtualenv:
        rationale: Tool to create isolated Python environments
        ref: adf7294bc7d0e774a75b3ece5dacf376f585373e
        buildorder: 30
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-wheel:
        rationale: Built-package format for Python
        ref: 3b5cab6213be8cad71830bfbbc3d1ad5140610ba
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python36:
        rationale: Contains the symlink to the platform-python interpreter. Also contains
          python36-rpm-macros needed to build the remaining packages.
        ref: 7581b320fe07fa2f35f3233ccd35d19cc77dc924
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      scipy:
        rationale: Scientific Tools for Python
        ref: 42edef97ef7ed71c4ee7d142501262ec4b0af95d
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - python-PyMySQL-0:0.10.1-2.module_el8.9.0+3700+efebe9fd.src
    - python-distro-0:1.4.0-2.module_el8.9.0+3700+efebe9fd.src
    - python-docs-0:3.6.7-2.module_el8.9.0+3700+efebe9fd.src
    - python-docutils-0:0.14-12.module_el8.9.0+3700+efebe9fd.src
    - python-nose-0:1.3.7-31.module_el8.9.0+3700+efebe9fd.src
    - python-nose-docs-0:1.3.7-31.module_el8.9.0+3700+efebe9fd.noarch
    - python-pygments-0:2.2.0-22.module_el8.9.0+3700+efebe9fd.src
    - python-pymongo-0:3.7.0-1.module_el8.9.0+3700+efebe9fd.src
    - python-pymongo-debuginfo-0:3.7.0-1.module_el8.9.0+3700+efebe9fd.x86_64
    - python-pymongo-debugsource-0:3.7.0-1.module_el8.9.0+3700+efebe9fd.x86_64
    - python-pymongo-doc-0:3.7.0-1.module_el8.9.0+3700+efebe9fd.noarch
    - python-sqlalchemy-0:1.3.2-3.module_el8.10.0+3769+3838165b.src
    - python-sqlalchemy-doc-0:1.3.2-3.module_el8.10.0+3769+3838165b.noarch
    - python-virtualenv-0:15.1.0-23.module_el8.10.0+3937+b6a3652f.src
    - python-virtualenv-doc-0:15.1.0-23.module_el8.10.0+3937+b6a3652f.noarch
    - python-wheel-1:0.31.1-3.module_el8.9.0+3700+efebe9fd.src
    - python3-PyMySQL-0:0.10.1-2.module_el8.9.0+3700+efebe9fd.noarch
    - python3-bson-0:3.7.0-1.module_el8.9.0+3700+efebe9fd.x86_64
    - python3-bson-debuginfo-0:3.7.0-1.module_el8.9.0+3700+efebe9fd.x86_64
    - python3-distro-0:1.4.0-2.module_el8.9.0+3700+efebe9fd.noarch
    - python3-docs-0:3.6.7-2.module_el8.9.0+3700+efebe9fd.noarch
    - python3-docutils-0:0.14-12.module_el8.9.0+3700+efebe9fd.noarch
    - python3-nose-0:1.3.7-31.module_el8.9.0+3700+efebe9fd.noarch
    - python3-pygments-0:2.2.0-22.module_el8.9.0+3700+efebe9fd.noarch
    - python3-pymongo-0:3.7.0-1.module_el8.9.0+3700+efebe9fd.x86_64
    - python3-pymongo-debuginfo-0:3.7.0-1.module_el8.9.0+3700+efebe9fd.x86_64
    - python3-pymongo-gridfs-0:3.7.0-1.module_el8.9.0+3700+efebe9fd.x86_64
    - python3-scipy-0:1.0.0-21.module_el8.9.0+3700+efebe9fd.x86_64
    - python3-scipy-debuginfo-0:1.0.0-21.module_el8.9.0+3700+efebe9fd.x86_64
    - python3-sqlalchemy-0:1.3.2-3.module_el8.10.0+3769+3838165b.x86_64
    - python3-virtualenv-0:15.1.0-23.module_el8.10.0+3937+b6a3652f.noarch
    - python3-wheel-1:0.31.1-3.module_el8.9.0+3700+efebe9fd.noarch
    - python3-wheel-wheel-1:0.31.1-3.module_el8.9.0+3700+efebe9fd.noarch
    - python36-0:3.6.8-39.module_el8.10.0+3769+3838165b.src
    - python36-0:3.6.8-39.module_el8.10.0+3769+3838165b.x86_64
    - python36-debug-0:3.6.8-39.module_el8.10.0+3769+3838165b.x86_64
    - python36-devel-0:3.6.8-39.module_el8.10.0+3769+3838165b.x86_64
    - python36-rpm-macros-0:3.6.8-39.module_el8.10.0+3769+3838165b.noarch
    - scipy-0:1.0.0-21.module_el8.9.0+3700+efebe9fd.src
    - scipy-debugsource-0:1.0.0-21.module_el8.9.0+3700+efebe9fd.x86_64
...
